import { PublicKey, PrivateKey } from '@wharfkit/antelope';
import { ProjPointType } from '@noble/curves/abstract/weierstrass';
import { Signer } from 'did-jwt';
import { Issuer } from 'did-jwt-vc';
export declare function createSigner(privateKey: PrivateKey): Signer;
export declare function createIssuer(did: string, privateKey: PrivateKey): Issuer;
export declare function toPublicKeyHex(publicKey: PublicKey): string;
export interface JWK {
    crv: string;
    kty: string;
    x: string;
    y: string;
    kid: string;
}
export declare function createJWK(publicKey: PublicKey): JWK;
export declare function getCurveNamesFromType(key: PublicKey): {
    jwkCurve: "secp256k1" | "P-256";
    verificationMethodType: "EcdsaSecp256k1VerificationKey2019" | "JsonWebKey2020";
};
export declare function toNobel(publicKey: PublicKey): ProjPointType<bigint>;
//# sourceMappingURL=utils.d.ts.map